<?php 
include_once(PHPGW_INCLUDE_ROOT.'/mobile/inc/class.ui_mobile.inc.php');
	class mobiletemplate
	{
		private $template;
		
		/*
		* @function mobiletemplate
	 	* @abstract Construtor da classe, que monta o template home
	 	* @author Nilton Emilio Buhrer Neto <niltonneto@celepar.pr.gov.br>
	 	*/		
		function mobiletemplate(){
			$this->template = CreateObject('phpgwapi.Template', PHPGW_SERVER_ROOT . '/mobile/templates/'.$GLOBALS['phpgw_info']['server']['template_set']);
			$this->template->set_file(Array('home_t' => 'home.tpl'));	
			$this->template->set_block('home_t', 'mobile_home');			
		}

		/*
		* @function set_content
	 	* @abstract Carrega o atributo "content" do template principal
	 	* @author Nilton Emilio Buhrer Neto <niltonneto@celepar.pr.gov.br>
	 	*/		
		public function set_content($content){
			$pre_content = $this->template->get_var("content");
			$this->template->set_var("content", $pre_content.$content);
		}

		/*
		* @function print_all
	 	* @abstract Imprime toda tela do Expresso Mini
	 	* @author Nilton Emilio Buhrer Neto <niltonneto@celepar.pr.gov.br>
	 	*/
		public function print_page($class, $method){		
			$this->print_header();
			$this->print_navbar();
			$filename = 'inc/class.'.$class.'.inc.php';
			include_once($filename);	
			$obj = new $class();		
			$obj -> $method();		
			$this->template->pfp('out', 'mobile_home');
		}
	
		/*
		* @function print_navbar
	 	* @abstract Imprime o incio da tela do Expresso Mini => barra de navegao
	 	* @author Mrio Csar Kolling <mario.kolling@serpro.gov.br>
	 	*/
		private function print_navbar(){
			$ui_mobilemail = CreateObject('mobile.ui_mobilemail');
			
			$this-> template->set_var('href_newmail', 'index.php?menuaction=mobile.ui_mobilemail.new_msg&clk=01');
			$this-> template->set_var('lang_newmail', lang('Create mail'));
			$this-> template->set_var('href_email', "index.php?menuaction=mobile.ui_mobilemail.change_folder&folder=0");
			$this-> template->set_var('lang_email', lang('E-mail'));

			$save_in_folder = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['save_in_folder'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['save_in_folder'] : "-1";
			$save_in_folder = @eregi_replace("INBOX/", "INBOX".$_SESSION['phpgw_info']['expressomail']['email_server']['imapDelimiter'], $save_in_folder);
			$save_in_folder = @eregi_replace("INBOX.", "INBOX".$_SESSION['phpgw_info']['expressomail']['email_server']['imapDelimiter'], $save_in_folder);
			$save_in_folder = $save_in_folder == '' ? 'INBOX/Sent':$save_in_folder;			
			$folder_number = $ui_mobilemail->get_folder_number($save_in_folder);
			$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['save_in_folder'] = $save_in_folder;
						
			$this-> template->set_var('href_sent', "index.php?menuaction=mobile.ui_mobilemail.change_folder&folder=".$folder_number);
			$this-> template->set_var('lang_sent', str_replace('*','',lang(str_replace('INBOX/','',$save_in_folder))));
			$this-> template->set_var('href_more', 'index.php?menuaction=mobile.ui_mobilemail.list_folders');
			$this-> template->set_var('lang_more_folders', lang('More folders...'));
			$this-> template->set_var('href_calendar', "index.php?menuaction=mobile.ui_mobilecalendar.index");
			$this-> template->set_var('lang_calendar', lang('Calendar'));
			$this-> template->set_var('href_cc', 'index.php?menuaction=mobile.ui_mobilecc.contacts_list');
			$this-> template->set_var('lang_cc', lang('Contact Center'));		
		}

		/*
		* @function print_header
	 	* @abstract Imprime o incio da tela do Expresso Mini => headers html
	 	* @author Mrio Csar Kolling <mario.kolling@serpro.gov.br>
	 	*/		
		private function print_header(){
			$GLOBALS['phpgw']->accounts->read_repository();
			$var  = Array(
				'fullname'	=> $GLOBALS['phpgw']->accounts->data['fullname'],
				'account_lid'	=> $GLOBALS['phpgw_info']['user']['account_lid'],
				'lang_logout'	=> lang('Logout'),
				'template_set'	=> $GLOBALS['phpgw_info']['server']['template_set'],
				'lang_search'	=> lang('Search')				
			);		
			$this->template->set_var($var);		
		}		
	}
?>
